# YourKeymaker

Issue/Revoke ApiKey for Yourfriends.

## Installation

Add this line to your application's Gemfile:

    gem 'your_keymaker'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install your_keymaker

## Usage

```ruby
    # In config/initializers/ultra_analytics.rb:

    YourKeymaker.config do |config|
      config.host = 'http://KEYMAKER_HOST'
    end

    # In your controller file,
    # To issue new api key:
    def sign_in
      # ..
      api_key = YourKeymaker::ApiKey.issue(current_user.id)
      # ..
    end

    # To revoke a api key:
    def sign_out
      # ..
      api_key.revoke!
      # ..
    end
```


## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
